Skip to main content
POST
/
v6
/
bookkeepers
Save bookkeepers
curl --request POST \
  --url https://sandbox.tight.com/v6/bookkeepers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "id": "bkpr_28868401",
      "userId": "usr_28868401",
      "email": "accountant@example.com",
      "firstName": "Jane",
      "lastName": "Smith",
      "role": "ACCOUNTANT",
      "status": "ACTIVE"
    }
  ]
}
'
import requests

url = "https://sandbox.tight.com/v6/bookkeepers"

payload = { "data": [
{
"id": "bkpr_28868401",
"userId": "usr_28868401",
"email": "accountant@example.com",
"firstName": "Jane",
"lastName": "Smith",
"role": "ACCOUNTANT",
"status": "ACTIVE"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'bkpr_28868401',
userId: 'usr_28868401',
email: 'accountant@example.com',
firstName: 'Jane',
lastName: 'Smith',
role: 'ACCOUNTANT',
status: 'ACTIVE'
}
]
})
};

fetch('https://sandbox.tight.com/v6/bookkeepers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "data": {
        "id": "bkpr_28868401",
        "userId": "usr_28868401",
        "email": "accountant@example.com",
        "firstName": "Jane",
        "lastName": "Smith",
        "role": "ACCOUNTANT",
        "status": "ACTIVE"
      },
      "error": [
        {
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "message": "<string>",
      "param": "<string>"
    }
  ]
}
{
"data": [
{
"data": {
"id": "bkpr_28868401",
"userId": "usr_28868401",
"email": "accountant@example.com",
"firstName": "Jane",
"lastName": "Smith",
"role": "ACCOUNTANT",
"status": "ACTIVE"
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
{
"data": [
{
"data": {
"id": "bkpr_28868401",
"userId": "usr_28868401",
"email": "accountant@example.com",
"firstName": "Jane",
"lastName": "Smith",
"role": "ACCOUNTANT",
"status": "ACTIVE"
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
data
object[]
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]